From a718a991d9f415878759f9533682f8e9a86fcda0 Mon Sep 17 00:00:00 2001
From: Ismael Luceno <ismael@iodev.co.uk>
Date: Sat, 8 Jun 2024 21:25:44 +0200
Subject: [PATCH 19/23] simpleinit: Avoid named variadic macros

Signed-off-by: Ismael Luceno <ismael@iodev.co.uk>
---
 login-utils/simpleinit.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/login-utils/simpleinit.c b/login-utils/simpleinit.c
index 5b3280a41638..5b858afac41c 100644
--- a/login-utils/simpleinit.c
+++ b/login-utils/simpleinit.c
@@ -356,10 +356,10 @@ void ystrncat(char* dest,const char* src,ssize_t n)
 
 /* like sprintf but protects against overflow and works if source(s) and
 target overlap*/
-#define ysprintf(dest,rest...) \
+#define ysprintf(dest, ...) \
 { \
   char buffy[sizeof(dest)]; \
-  snprintf(buffy,sizeof(buffy), ##rest); \
+  snprintf(buffy,sizeof(buffy), ##__VA_ARGS__); \
   buffy[sizeof(dest)-1]=0; \
   memcpy((dest),buffy,sizeof(dest)); \
 }
-- 
2.44.0

